package com.fjhx.wms.service;

import com.fjhx.wms.entity.ArrivalDetailPo;
import com.fjhx.wms.entity.PurchaseDetailPo;
import com.fjhx.wms.entity.SubscribeDetailPo;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;

public interface PurService {
    /**
     * 修改采购到货状态
     */
    void updatePurchaseArrivalStatus(Long id);

    /**
     * 获取已采购数量
     */
     List<PurchaseDetailPo> getPurchaseCountList(IWrapper<Object> wrapper);

    /**
     * 获取已申购数量
     */
     List<SubscribeDetailPo> getSubscribeCountList(IWrapper<Object> wrapper);

    /**
     * 获取到货明细列表
     */
     List <ArrivalDetailPo>getArrivalDetailByIds(List<Long> ids);

    /**
     * 获取采购明细列表
     */
    List <PurchaseDetailPo>getPurchaseDetailByIds(List<Long> ids);
}
